# Method: projects.tenants.list

- [HTTP request](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants/list#body.request_body)
- [Response body](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants/list#body.ListTenantsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants/list#try-it)

Lists all tenants associated with the project.

### HTTP request

`GET https://jobs.googleapis.com/v4/{parent=projects/*}/tenants`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the project under which the tenant is created. The format is "projects/{projectId}", for example, "projects/foo". |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` The starting indicator from which to return results. |
| `pageSize` | `integer` The maximum number of tenants to be returned, at most 100. Default is 100 if a non-positive number is provided. |

### Request body

The request body must be empty.

### Response body

The List tenants response object.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "tenants": [ { object (`https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants#Tenant`) } ], "nextPageToken": string, "metadata": { object (`https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/ResponseMetadata`) } } ``` |

| Fields ||
|---|---|
| `tenants[]` | ``object (`https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/projects.tenants#Tenant`)`` Tenants for the current client. |
| `nextPageToken` | `string` A token to retrieve the next page of results. |
| `metadata` | ``object (`https://docs.cloud.google.com/talent-solution/job-search/docs/reference/rest/v4/ResponseMetadata`)`` Additional information for the API invocation, such as the request tracking id. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/jobs`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/external/authorization-gcp).